CREATE TABLE EMAIL_DELIVERY (
 ID                     INTEGER UNSIGNED NOT NULL,
 MSG_ID                 VARCHAR(192) NOT NULL,
 SEND_TIME              DATETIME(3) NOT NULL,
 RCPT_TIME              DATETIME(3) NOT NULL,
 EMAIL                  VARCHAR(96) NOT NULL,
 PROCESS_TIME           INTEGER UNSIGNED NOT NULL DEFAULT 0,
 NOTIFY_TYPE            SMALLINT UNSIGNED NOT NULL DEFAULT 0,
 REMOTE_ADDR            VARBINARY(16),
 REMOTE_HOST            VARCHAR(128),
 RESPONSE               MEDIUMTEXT CHARACTER SET utf8mb4,
 PRIMARY KEY (MSG_ID),
 FOREIGN KEY (ID) REFERENCES common.USERDATA(ID) ON UPDATE CASCADE
);

CREATE INDEX EMAIL_SND_IDX ON EMAIL_DELIVERY(ID, SEND_TIME DESC);
